package com.cf.imes.framework.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DeletedCodeEnum {

    DELETED(1, "删除"),
    NOT_DELETED(0, "未删除");

    private final Integer status;
    private String description;

    public boolean equals(Integer status) {
        return this.status .equals(status) ;
    }

    public boolean equals(DeletedCodeEnum DeletedCodeEnum) {
        return DeletedCodeEnum != null && DeletedCodeEnum.status .equals(this.getStatus()) ;
    }
}
